Subject: Re: ntxlib works on win95
From: [email-masked]

31 Dec 1997 13:31:43 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

>>> TST caused an invalid page fault in
>>> module  at 0000:8b26ddea.
>>> ...
>>
>>In the makefile you have:
>>
>>       $(cc) -o tst $(OBJECTS) -luser32 -lkernel32 -lgdi32
>>
>>Remove "-lkernel32" and all works well on win95.
>>
>You're absolutely right.  It does work.  So now the Cygwin version of tst no
>longer crashes.  Thanks.
>
Of course, why removing lkernel32 causes it to work is still a mystery....

I checked ntxlib substituted into Sergei's X11R6 libs, and, to compile
rxvt requires implementing about 8 more ntxlib functions, some of which
are variants on already-implemented functions.  That gives a measure of
what work could be done on ntxlib.

If you are not concerned about using your system as a remote X-server, than
ntxlib is one way to go.  If you want your system to act as an X-server,
then the full X11R6 distribution, with a commercial X-server, is the way to
go.

If someone goes ahead and implements additional ntxlib functionality, why
not upload it (with deninc.com permission) to deninc.com, and use some
notation to identify it as an upgrade, along with an accompanying readme?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".